Get an order action
GET /v1/order_actions/{order_action_id}
Authentication
Send a token issued in the Zoopit dashboard as Authorization: Bearer <token>.
Path parameters
| Name | Type | Required |
|---|---|---|
order_action_id | string | yes |
Query parameters
| Name | Type | Required |
|---|---|---|
select | array of "attributes" | "consumer_tracking" | "created_at" | "created_by" | "deleted_at" | "deleted_by" | "description" | "id" | "is_blocking" | "is_mandatory" | "modified_at" | "modified_by" | "name" | "on_activities_type" | "order_id" | "owners" | "prompt_request" | "prompt_response" | "status" | "status_description" | "tags" |
Responses
200
resource: PartialOrderActionWithId
| Field | Type | Required |
|---|---|---|
name | string | |
attributes | object | |
description | string | |
status | "CANCELED" | "COMPLETED" | "CREATED" | "FAILED" | |
on_activities_type | "break" | "delivery" | "end" | "pickup" | "start" | |
consumer_tracking | boolean | |
is_mandatory | boolean | |
is_blocking | boolean | |
prompt_request | object or null | |
status_description | null or string | |
created_at | string | |
modified_at | null or string | |
deleted_at | null or string | |
created_by | string | |
modified_by | null or string | |
deleted_by | null or string | |
owners | array of string | |
tags | array of string | |
order_id | string | |
prompt_response | object or null | |
id | string | yes |
Example
curl -X GET 'https://orders-api.cloud.zoopit.no/v1/order_actions/{order_action_id}'
-H 'Authorization: Bearer <token>'
Try it in the interactive Orders API reference.
Field descriptions, guides and worked examples are in the full reference, available to customers in the Zoopit dashboard under Accounts → Developer.